local addonName, at = ...
local core = at.core

at.L = {}

-- literally insert a table directly into the locale so long as it has the appropriate table keys with a value.
-- this allows personal addons to "plug-in" the addon.
function JamPlatesAcessories_SetLocale(tab)
	for k, v in pairs(at.L) do
		if not tab[k] then return end
	end
	at.L = tab
end

local locale = GetLocale()
if locale == 'enUS' then
	-- the value, or the key, is already in this locale.
	-- it's called being lazy... while also being smart.
	setmetatable(at.L, {__index = function(L, key)
			return key;
		end
	})
	
-- I'm confident that anyone who would translate this would know how but there are some basic instructions included
-- just change enGB to whatever locale you need, copy/paste, change translations, and you should be good
elseif locale == 'enGB' then
	at.L = {
		-- example... for the most part
			--['used in code'] = 'translated value'
			['Features'] = 'Features',
			
			['Enable Auras'] = 'Enable Auras',
			['Display Auras'] = 'Display Auras',
			
			['Enable Aura Watch'] = 'Enable Aura Watcher',
			["Enable aura tracking, seperating specified auras from the default display."] = "Enable aura tracking, seperating specified auras from the default display.",
			["These ignore the inverted setting."] = "These ignore the inverted setting.",
			
			['Enable Combo Points'] = 'Enable Combo Points',
			["Display combo points."] = "Display combo points.",
			
			['Enable Threat'] = 'Enable Threat',
			["Display threat eye indicator."] = "Display threat eye indicator.",
			
			['Enable Combat'] = 'Enable Combat',
			["Display combat indicator."] = "Display combat indicator.",
			
			["The anchor point on the nameplate."] =	"The anchor point on the nameplate.",
			["The point ralative to the anchor."] =	"The point ralative to the anchor.",
			["Distance left/right from the anchor the relative point goes."] =	"Distance left/right from the anchor the relative point goes.",
			["Distance up/down from the anchor the relative point goes."] = "Distance up/down from the anchor the relative point goes.",
			['Anchor'] = 'Anchor',
			['Relative'] = 'Relative',
			
			['Aura'] = 'Aura',
			['Invert Auras'] = 'Invert Auras',
			["Enemy: Show buffs instead of debuffs."] = "Enemy: Show buffs instead of debuffs.",
			["Ally: Show debuffs instead of buffs."] = "Ally: Show debuffs instead of buffs.",
			['Auras Per Row'] = 'Auras Per Row',
			["The number of auras per row."] = "The number of auras per row.",
			['Show Pet Auras'] = 'Show Pet Auras',
			['Show Aura Borders'] = 'Show Aura Borders',
			['Reverse Row Growth'] = 'Reverse Row Growth',
			["Grow auras down instead of up."] = "Grow auras down instead of up.",
			['Reverse Column Direction'] = 'Reverse Column Direction',
			["Grow auras left instead of right."] = "Grow auras left instead of right.",
			
			['Aura Width'] = 'Aura Width',
			["The aura width."] = "The aura width.",
			['Aura Height'] = 'Aura Height',
			["The aura height."] = "The aura height.",
			['Aura Scale'] = 'Aura Scale',
			["The aura scale."] = "The aura scale.",
			
			['Aura Watch'] = 'Aura Watch',
			-- it's the same as the ones for Aura
			
			['Threat'] = 'Threat',
			['Threat Width'] = 'Threat Width',
			["The threat width."] = "The threat width.",
			['Threat Height'] = 'Threat Height',
			["The threat height."] = "The threat height.",
			['Threat Scale'] = 'Threat Scale',
			["The threat scale."] = "The threat scale.",
			
			['Combat'] = 'Combat',
			['Combat Indicator Width'] = 'Combat Indicator Width',
			["The indicator width."] = "The indicator width.",
			['Combat Indicator Height'] = 'Combat Indicator Height',
			["The indicator height."] = "The indicator height.",
			['Combat Indicator Scale'] = 'Combat Indicator Scale',
			["The indicator scale."] = "The indicator scale.",
			
			-- hmmmm?
			['Combo Point'] = 'Combo Point',
			['Point Width'] = 'Combo Point Width',
			["Combo point width."] = "Combo point width.",
			['Point Height'] = 'Combo Point Height',
			["Combo point height."] = "Combo point height.",
			['Point Scale'] = 'Combo Point Scale',
			["Combo point scale."] = "Combo point scale.",
			
			['Profiles'] = 'Profiles',
			['Load Profile'] = 'Load Profile',
			["Load a profile from another character."] = "Load a profile from another character.",
			["Default is not default settings, they are user defined defaults to be used by multiple characters."] = "Default is not default settings, they are user defined defaults to be used by multiple characters.",
			['Copy Profile'] = 'Copy Profile',
			["Copy a profile from another character."] = "Copy a profile from another character.",
			
			['Aura List'] = 'Aura List',
			['Warning!  List gets long.'] = 'Warning!  List gets long.',
			
			["Spell ID:  "] = "Spell ID:  ",
			
			['Spell Filter'] = 'Spell Filter',
			
			['Remove'] = 'Remove',
			
			["Only accepts a spell ID value."] = "Only accepts a spell ID value.",
			["Literally numbers only."] = "Literally numbers only.",
			
			['Commands disabled in combat.'] = 'Commands disabled in combat.',
	}
end
